#include <stdio.h>

void booklet(int pages)
{
    int min, max;
    int i, vypsat;

    printf("Printing order for %d pages:\n", pages);
    min = pages % 4;
    vypsat = pages / 4 + ((min > 0) ? 1 : 0);
    max = vypsat * 4;
    min = 1;
    for (i = 0; i < vypsat; i++) {
	printf("Sheet %d, front: ", i+1);
	if (max > pages) printf("Blank");
	            else printf("%d", max);
	max--;
	printf(", %d\n", min);
	min++;
	if (min > pages) break;
	printf("Sheet %d, back : ", i+1);
	printf("%d, ", min);
	min++;
	if (max > pages) printf("Blank\n");
	            else printf("%d\n", max);
	max--;
    }
    printf("\n");
}

int main(void)
{
    int pages;
    
    do {
        scanf("%d\n", &pages);
	if (pages <= 0) break;
	booklet(pages);
    } while (1);
    return(0);
}
