#include <stdio.h>
#include <ctype.h>
#include <string.h>

void num2word(char *number)
{
    int len, m, n, i;
    char word[100];

    m = n = 0;
    len = strlen(number);
    for (i = 0; n < len; i++) {
	while (m < 26) {
	    m = m * 10 + number[n++] - '0';
	}
	word[i] = m / 26 + 'a';
	m %= 26;
    }
    word[i] = 0;
    printf("%s%*s", word, 23-i, "");
    for (i = 0; i < len; i++) {
        printf("%c", number[i]);
	if (i + 1 >= len) break;
	if (i % 3 == 1) printf(",");
    }
    printf("\n");
}

void word2num(char *word)
{
    int len, m, n, i;
    char number[100];

    len = m = 0;
    n = strlen(word);
    for (i = n-1; i >= 0; i--) {
	m = word[i] - 'a' + 1;
	while (m >= 10) {
	    number[len++] = m % 10 + '0';
	    m /= 10;
	}
    }
    printf("%s%*s", word, 23-i, "");
    len--;
    for (i = 0; i <= len; i++) {
        printf("%c", number[len-i]);
	if (i >= len) break;
	if ((len-i) % 3 == 0) printf(",");
    }
    printf("\n");
}

int main(void)
{
    char string[100];
    
    do {
        gets(string);
	if (string[0] == '*') break;
	if (isdigit(string[0])) num2word(string);
	                   else word2num(string);
    } while(1);
    return(0);
}
